기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

UVCS Server API

v1

지원 가능
​

UVCS Server API

v1

지원 가능
​

이 페이지는 선택한 언어로 제공되지 않습니다.
Unity Services Web APIs
​
​
Unity Version Control Server API
  • Overview
  • Servers
mdx:openapi:endpoints
  • API keys (v2)
  • Annotate
  • Attributes (v2)
  • Branches
  • Branches (v2)
  • Changesets
  • Changesets (v2)
  • Checkin
  • Code reviews
  • Code reviews (v2)
  • Diff
  • Diff (v2)
  • Hidden branches (v2)
  • History
  • Items
  • Items (v2)
  • Labels
  • Labels (v2)
  • Lock rules (v2)
  • Locks (v2)
  • Login
  • Merge to
  • Mergebots (v2)
  • Permissions
  • Personal access tokens
  • Repositories
  • Revisions
  • Revisions (v2)
  • Subscriptions (v2)
  • Triggers (v2)
  • Users
  • Xlinks

Unity Version Control Server API

Overview

The Unity Version Control server REST API allows you to consume and manage Unity Version Control information (repositories, branches, changesets, code reviews, and more) directly from the server over HTTP.

Servers

Unity Version Control Cloud hosts each organization in a single region. Use the base URI of the region that hosts yours:

Region

Base URI

Server picker

US East - Virginia
https://prd-azure-eastus-01-cloud.plasticscm.com:7178
Server 1
Europe West - Netherlands
https://prd-azure-westeu-01-cloud.plasticscm.com:7178
Server 2
Asia North East - Japan
https://prd-azure-eastjp-01-cloud.plasticscm.com:7178
Server 3
Asia South East - Singapore
https://prd-azure-seasia-01-cloud.plasticscm.com:7178
Server 4
If you run an on-premises server, the API listens on the same port as the WebAdmin:
7178
for unencrypted local access and
7179
for external HTTPS access.
For more information about Unity Version Control, refer to our documentation.
Download OpenAPI specification:

Get repository annotations for a specific revision


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
example: codice
Organization name

repoName

string
필수
example: codice
Repository name

revisionId

integer
필수
example: 1
Revision id

Request body for "{title}"

Media Type:
application/json

encryptionKey

string
Encryption key value

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "encryptionKey": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/revisions/{revisionId}/annotate"

Response example

[ { "line": 0, "owner": "string", "changeset": 0, "branch": "string", "date": "2024-01-01T00:00:00Z", "comment": "string", "revisionId": 0, "parentRevisionId": 0 }]

GET /api/v2/organizations/{orgName}/api-keys


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/api-keys"

Response example

[ { "key": "string", "description": "string", "user": "string" }]

POST /api/v2/organizations/{orgName}/api-keys


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

user

string
No description

description

string
No description

key

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "user": "string", "description": "string", "key": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/api-keys"

Response example

{ "user": "string", "description": "string", "key": "string"}

DELETE /api/v2/organizations/{orgName}/api-keys/{apiKey}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

apiKey

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/api-keys/{apiKey}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/attributes


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

search

string
No description

nextOffset

integer
기본: 0
No description

previousOffset

integer
기본: 0
No description

limit

integer
기본: 0
No description

filterStartDate

string
No description

filterEndDate

string
No description

filterOwners

array
No description

orderByType

No description

orderByDirection

No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes"

Response example

{ "result": [ { "id": 0, "name": "string", "owner": "string", "comment": "string", "guid": "string", "repositoryId": "string", "date": "2024-01-01T00:00:00Z" } ], "nextOffset": 0, "previousOffset": 0, "direction": "forward"}

POST /api/v2/organizations/{orgName}/repositories/{repoName}/attributes


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

name

string
No description

comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "name": "string", "comment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes"

Response example

{ "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z"}

DELETE /api/v2/organizations/{orgName}/repositories/{repoName}/attributes


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

attributeNamesOrIds

array
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes"

Response example

{ "failures": [ { "id": 0, "name": "string", "statusCode": 0, "errorMessage": "string" } ]}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

attributeNameOrId

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}"

Response example

{ "id": 0, "name": "string", "owner": "string", "comment": "string", "guid": "string", "repositoryId": "string", "date": "2024-01-01T00:00:00Z"}

PATCH /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

attributeNameOrId

string
필수
No description

Request body for "{title}"

Media Type:
application/json

name

string
No description

comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PATCH \ -H "Content-Type: application/json" \ -d '{ "name": "string", "comment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}"

Response example

{ "id": 0, "name": "string", "owner": "string", "comment": "string", "guid": "string", "repositoryId": "string", "date": "2024-01-01T00:00:00Z"}

DELETE /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

attributeNameOrId

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{attributeNameOrId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

requestTargetType

필수
No description

targetNameOrId

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}"

Response example

{ "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z"}

DELETE /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}/{attributeNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

requestTargetType

필수
No description

targetNameOrId

string
필수
No description

attributeNameOrId

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}/{attributeNameOrId}"

Response example

{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string"}

PUT /api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}/{attributeNameOrId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

requestTargetType

필수
No description

targetNameOrId

string
필수
No description

attributeNameOrId

string
필수
No description

Request body for "{title}"

Media Type:
application/json

value

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "value": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/attributes/{requestTargetType}/{targetNameOrId}/{attributeNameOrId}"

Response example

{ "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z"}

Get repository main branch


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
example: codice
Organization name

repoName

string
필수
example: codice
Repository name

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/main-branch"

Response example

{ "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true}

Get repository branches


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
example: codice
Organization name

repoName

string
필수
example: codice
Repository name

Query parameters for "{title}"

start

string
example: 2022-01-01T00:00:00Z
Include branches from this date

end

string
example: 2022-01-01T00:00:00Z
Include branches until this date

filterOwner

array
Include owners

dateTarget

Date type to target

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/branches"

Response example

[ { "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true }]

POST /api/v1/organizations/{orgName}/repos/{repoName}/branches


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

name

string
필수
No description

changeset

integer
필수
No description

comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "name": "string", "changeset": 0, "comment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/branches"

Response example

{ "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true}

Get repository branch


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
example: codice
Organization name

repoName

string
필수
example: codice
Repository name

branchName

string
필수
example: main
Branch name

Query parameters for "{title}"

includeMergeInfo

boolean
기본: false
Whether to include merge info

includeAttributeValues

boolean
기본: false
Whether to include attribute values associated with this branch

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/branches/{branchName}"

Response example

{ "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchId

integer
필수
No description

Query parameters for "{title}"

includeMergeInfo

boolean
기본: false
No description

includeAttributeValues

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}"

Response example

{ "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true}

PATCH /api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

name

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PATCH \ -H "Content-Type: application/json" \ -d '{ "name": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}"

Response example

[ { "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ] }]

DELETE /api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchId

integer
필수
No description

Query parameters for "{title}"

deleteChangesets

boolean
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/branches


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

nextOffset

integer
기본: 0
No description

previousOffset

integer
기본: 0
No description

limit

integer
기본: 0
No description

search

string
No description

filterCreationStartDate

string
No description

filterCreationEndDate

string
No description

filterActivityStartDate

string
No description

filterActivityEndDate

string
No description

filterOwner

array
No description

orderByType

No description

orderByDirection

No description

includeMergeInfo

boolean
기본: false
No description

hidden

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches"

Response example

[ { "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ] }]

POST /api/v2/organizations/{orgName}/repositories/{repoName}/branches


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

name

string
필수
No description

changeset

integer
필수
No description

comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "name": "string", "changeset": 0, "comment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches"

Response example

{ "id": 0, "name": "string", "repositoryId": "string", "headChangeset": 0, "date": "2024-01-01T00:00:00Z", "owner": "string", "comment": "string", "type": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "lastActivity": "2024-01-01T00:00:00Z", "headChangesetComment": "string", "canBeDeleted": true, "canBeDeletedIncludingChangesets": true, "changesetsCount": 0, "status": 0, "isMain": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ], "isHidden": true}

POST /api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}/promote


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/branches/{branchId}/promote"

Response example

{ "headChangesetId": 0, "headChangesetGuid": "string"}

GET /api/v1/organizations/{orgName}/repos/{repoName}/changesets


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

start

string
No description

end

string
No description

branchId

integer
No description

branchName

string
No description

includeCanBeDeleted

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/changesets"

Response example

[ { "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ] }]

GET /api/v1/organizations/{orgName}/repos/{repoName}/changesets/{changesetId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

changesetId

integer
필수
No description

Query parameters for "{title}"

includeCanBeDeleted

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

includeAttributeValues

boolean
기본: false
No description

hidden

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/changesets/{changesetId}"

Response example

{ "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ]}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/changesets


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

nextOffset

integer
기본: 0
No description

previousOffset

integer
기본: 0
No description

limit

integer
기본: 0
No description

search

string
No description

filterStartDate

string
No description

filterEndDate

string
No description

filterBranchIds

array
No description

filterBranchName

array
No description

filterAuthor

array
No description

orderByType

No description

orderByDirection

No description

includeCanBeDeleted

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

hidden

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/changesets"

Response example

[ { "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ] }]

DELETE /api/v2/organizations/{orgName}/repositories/{repoName}/changesets/{changesetId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

changesetId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/changesets/{changesetId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

PATCH /api/v2/organizations/{orgName}/repositories/{repoName}/changesets/{changesetId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

changesetId

integer
필수
No description

Query parameters for "{title}"

hidden

boolean
기본: false
No description

Request body for "{title}"

Media Type:
application/json

comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PATCH \ -H "Content-Type: application/json" \ -d '{ "comment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/changesets/{changesetId}"

Response example

{ "id": 0, "changesetId": 0, "repositoryId": "string", "parentChangesetId": 0, "branch": "string", "branchId": 0, "date": "2024-01-01T00:00:00Z", "guid": "string", "owner": "string", "comment": "string", "changesetType": "string", "hasCodeReview": true, "codeReviewsCount": 0, "codeReviewIds": [ 0 ], "labels": [ "string" ], "canBeDeleted": true, "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "attributeValues": [ { "attributeId": 0, "attributeName": "string", "attributeComment": "string", "target": { "name": "string", "id": 0, "type": "branch" }, "value": "string", "date": "2024-01-01T00:00:00Z" } ]}

POST /api/v1/organizations/{orgName}/repos/{repoName}/fileUpload


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

segmentCount

integer
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "segmentCount": 0}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/fileUpload"

Response example

{ "fileUploadId": "string"}

POST /api/v1/organizations/{orgName}/repos/{repoName}/branch/{branchName}/checkin


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

comment

string
No description

changesetId

integer
No description

changes

array[object]
필수
No description

changeType

string
필수
No description

itemType

string
필수
No description

path

string
필수
No description

content

string
No description

md5

string
deprecated
No description

hash

object
No description

value

string
No description

algorithm

string
No description

dstPath

string
No description

symlinkPath

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "comment": "string", "changesetId": 0, "changes": [ { "changeType": "string", "itemType": "string", "path": "string", "content": "string", "md5": "string", "hash": { "value": "string", "algorithm": "none" }, "dstPath": "string", "symlinkPath": "string" } ]}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/branch/{branchName}/checkin"

Response example

{ "changesetId": 0, "branchName": "string", "guid": "string", "timestamp": "2024-01-01T00:00:00Z", "repository": "string"}

POST /api/v1/organizations/{orgName}/repos/{repoName}/fileUpload/{fileUploadId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

fileUploadId

string
필수
No description

Query parameters for "{title}"

segment

integer
필수
No description

md5

string
필수
No description

Request body for "{title}"

Media Type:
application/octet-stream
Schema:
"string"

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/octet-stream" \ -d '"string"' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/fileUpload/{fileUploadId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

GET /api/v1/organizations/{orgName}/repos/{repoName}/codereviews


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

start

string
No description

end

string
No description

filter

No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereviews"

Response example

[ { "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string" }]

GET /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Query parameters for "{title}"

includeMergeAllowed

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}"

Response example

{ "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string"}

PUT /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

title

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "title": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}"

Response example

{ "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string"}

DELETE /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

POST /api/v1/organizations/{orgName}/repos/{repoName}/codereview


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

object

object
필수
No description

type

string
필수
No description

spec

string
필수
No description

title

string
필수
No description

status

string
필수
No description

assignee

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "object": { "type": "Branch", "spec": "string" }, "title": "string", "status": "Under review", "assignee": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview"

Response example

{ "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string"}

GET /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment"

Response example

{ "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ]}

POST /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

revisionId

integer
필수
No description

locationSpec

string
No description

commentText

string
No description

type

string
No description

changesetId

integer
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "revisionId": 0, "locationSpec": "string", "commentText": "string", "type": "Comment", "changesetId": 0}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment"

Response example

{ "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0}

POST /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{parentCommentId}/reply


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

parentCommentId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

type

string
No description

commentText

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "type": "Comment", "commentText": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{parentCommentId}/reply"

Response example

{ "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0}

PUT /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{codeReviewCommentId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

codeReviewCommentId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

newComment

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "newComment": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{codeReviewCommentId}"

Response example

{ "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0}

DELETE /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{codeReviewCommentId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewCommentId

integer
필수
No description

codeReviewId

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/comment/{codeReviewCommentId}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

GET /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers"

Response example

[ { "reviewer": "string", "status": "Under review", "isGroup": true }]

POST /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

reviewers

array[string]
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "reviewers": [ "string" ]}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

PUT /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

reviewer

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "reviewer": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

DELETE /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers/{reviewerName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

reviewerName

string
필수
No description

Query parameters for "{title}"

isGroup

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers/{reviewerName}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

DELETE /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer/{reviewerName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

reviewerName

string
필수
No description

Query parameters for "{title}"

isGroup

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer/{reviewerName}"

Response example

{ "error": { "message": "string" }, "keyMessage": "string"}

POST /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer/{reviewerName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

reviewerName

string
필수
No description

Query parameters for "{title}"

isGroup

boolean
기본: false
No description

Request body for "{title}"

Media Type:
application/json

status

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "status": "Under review"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewer/{reviewerName}"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

PUT /api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers/{reviewerName}/status


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

reviewerName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

status

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "status": "Under review"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/codereview/{codeReviewId}/reviewers/{reviewerName}/status"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

POST /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Request body for "{title}"

Media Type:
application/json

title

string
No description

description

string
No description

reviewers

array[object]
No description

reviewer

string
No description

isGroup

boolean
No description

object

object
No description

type

string
필수
No description

name

string
No description

id

integer
No description

guid

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "title": "string", "description": "string", "reviewers": [ { "reviewer": "string", "isGroup": true } ], "object": { "type": "Branch", "name": "string", "id": 0, "guid": "string" }}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews"

Response example

{ "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string"}

GET /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

nextOffset

integer
기본: 0
No description

previousOffset

integer
기본: 0
No description

limit

integer
기본: 0
No description

filterOwner

array
No description

filterReviewer

array
No description

search

string
No description

filterStatus

array
No description

filterReviewerStatus

array
No description

orderByType

No description

orderByDirection

No description

filterTargets

string
No description

includeStatus

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews"

Response example

[ { "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string" }]

GET /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Query parameters for "{title}"

includeMergeAllowed

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}"

Response example

{ "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string"}

GET /api/v2/organizations/{orgName}/code-reviews/latest


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

Query parameters for "{title}"

limit

integer
기본: 2
No description

filterOwner

array
No description

filterReviewer

array
No description

filterStatus

array
No description

filterReviewerStatus

array
No description

orderByType

No description

orderByDirection

No description

filterRepoNames

array
No description

filterProjectNames

array
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/code-reviews/latest"

Response example

[ { "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string" }]

GET /api/v2/organizations/{orgName}/code-reviews/assigned-to-me


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

Query parameters for "{title}"

limit

integer
기본: 2
No description

filterEmptyCounts

boolean
기본: true
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/code-reviews/assigned-to-me"

Response example

[ { "repositoryName": "string", "assignedToMe": 0, "lastActivity": "2024-01-01T00:00:00Z" }]

POST /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/retrieve


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

Query parameters for "{title}"

nextOffset

integer
기본: 0
No description

previousOffset

integer
기본: 0
No description

limit

integer
기본: 0
No description

search

string
No description

orderByType

No description

orderByDirection

No description

includeStatus

boolean
기본: false
No description

includeMergeInfo

boolean
기본: false
No description

Request body for "{title}"

Media Type:
application/json

filterOwner

array[string]
No description

filterReviewer

array[string]
No description

filterStatus

array[string]
No description

filterReviewerStatus

array[string]
No description

filterTargets

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "filterOwner": [ "string" ], "filterReviewer": [ "string" ], "filterStatus": [ "underReview" ], "filterReviewerStatus": [ "underReview" ], "filterTargets": "string"}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/retrieve"

Response example

[ { "id": 0, "object": { "type": "Branch", "targetId": 0, "spec": "string" }, "assignee": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "modifiedTimestamp": "2024-01-01T00:00:00Z", "status": "Under review", "title": "string", "description": "string", "descriptionComment": { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 }, "commentsCount": 0, "issuesCount": 0, "unansweredQuestionsCount": 0, "userCommentsCount": 0, "comments": [ { "type": "Comment", "id": 0, "guid": "string", "owner": "string", "timestamp": "2024-01-01T00:00:00Z", "itemId": 0, "itemName": "string", "revisionId": 0, "locationSpec": "string", "commentText": "string", "reviewId": 0, "parentCommentId": 0, "changesetId": 0, "appliedInChangesetId": 0, "branchChangesetId": 0 } ], "reviewers": [ { "reviewer": "string", "status": "Under review", "isGroup": true } ], "mergeAllowed": true, "mergeIssues": "string", "mergeInfo": [ { "sourceChangesetId": 0, "sourceBranchId": 0, "sourceBranchName": "string", "dstChangesetId": 0, "dstBranchId": 0, "dstBranchName": "string", "dstIsMain": true, "mergeDate": "2024-01-01T00:00:00Z", "author": "string", "comment": "string" } ], "repositoryName": "string" }]

POST /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/comments/{commentId}/resolve


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

commentId

integer
필수
No description

codeReviewId

string
필수
No description

Request body for "{title}"

Media Type:
application/json

changesetId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "changesetId": 0}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/comments/{commentId}/resolve"

Response example

{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string"}

POST /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/reviewers


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

reviewers

array[object]
No description

reviewer

string
No description

isGroup

boolean
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "reviewers": [ { "reviewer": "string", "isGroup": true } ]}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/reviewers"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

PUT /api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/reviewers


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

codeReviewId

integer
필수
No description

Request body for "{title}"

Media Type:
application/json

reviewer

string
No description

isGroup

boolean
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "reviewer": "string", "isGroup": true}' \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v2/organizations/{orgName}/repositories/{repoName}/code-reviews/{codeReviewId}/reviewers"

Response example

{ "reviewer": "string", "status": "Under review", "isGroup": true}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/branch/{branchName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchName

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/branch/{branchName}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/label/{labelName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

labelName

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/label/{labelName}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{source}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

source

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{source}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{source}/{destination}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

source

integer
필수
No description

destination

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{source}/{destination}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{csetGuid}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

csetGuid

string
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/changeset/{csetGuid}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/diff/shelve/{shelveId}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

shelveId

integer
필수
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/diff/shelve/{shelveId}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "diffs": [ { "name": "string", "files": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/extended-diff/branch/{branchName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

branchName

string
필수
No description

Header parameters for "{title}"

X-Encryption-Key

string
No description

Query parameters for "{title}"

includeFields

string
No description

isSemantic

boolean
기본: false
No description

comparisonType

No description

pendingToIntegrate

boolean
기본: false
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "X-Encryption-Key: <X-Encryption-Key>" \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/extended-diff/branch/{branchName}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "sourceId": 0, "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "merged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "changed": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "added": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "moved": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "deleted": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "fsProtectionChanged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "refactorGroups": [ { "merged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "changed": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "added": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "moved": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "deleted": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ], "mergeGroups": [ { "itemId": 0, "branchName": "string", "branchId": 0, "repoName": "string", "changed": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "merged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "added": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "moved": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ], "deleted": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": null, "data": null, "leftData": null, "rightData": null, "path": null, "srcCset": null, "dstCset": null }, "type": "Directory", "diffInfo": { "drawingInfo": null, "lineMapping": null, "moveInfo": null, "semanticInfo": null } } ] } ]}

GET /api/v1/organizations/{orgName}/repos/{repoName}/extended-diff/label/{labelName}


Authorizations
bearer
HTTP: bearer
HTTP Authorization Scheme: Bearer

Path parameters for "{title}"

orgName

string
필수
No description

repoName

string
필수
No description

labelName

string
필수
No description

Header parameters for "{title}"

X-Encryption-Key

string
No description

Query parameters for "{title}"

includeFields

string
No description

isSemantic

boolean
기본: false
No description

comparisonType

No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "X-Encryption-Key: <X-Encryption-Key>" \ "https://prd-azure-eastus-01-cloud.plasticscm.com:7178/api/v1/organizations/{orgName}/repos/{repoName}/extended-diff/label/{labelName}"

Response example

{ "author": "string", "comment": "string", "timestamp": "2024-01-01T00:00:00Z", "source": "string", "sourceId": 0, "destination": "string", "destinationId": 0, "objectType": "Branch", "repository": "string", "merged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "changed": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "added": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "moved": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "deleted": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": "string", "data": "string", "leftData": "string", "rightData": "string", "path": "string", "srcCset": 0, "dstCset": 0 }, "type": "Directory", "diffInfo": { "drawingInfo": { "left": { "diffRegions": null, "insideLineRegions": null }, "right": { "diffRegions": null, "insideLineRegions": null } }, "lineMapping": { "sourceEditor": [ null ], "destinationEditor": [ null ] }, "moveInfo": { "regions": { "left": null, "right": null }, "diffRegions": { "left": null, "right": null }, "insideLineRegions": { "left": null, "right": null } }, "semanticInfo": { "left": { "diffIcons": null }, "right": { "diffIcons": null } } } } ], "fsProtectionChanged": [ { "mountId": "string", "itemId": 0, "path": "string", "srcPath": "string", "sourceRev": 0, "sourceRevSize": 0, "sourceChangeset": 0, "sourceBranch": 0, "sourceBranchName": "string", "dstRev": 0, "dstRevSize": 0, "dstChangeset": 0, "dstBranch": 0, "dstBranchName": "string", "timestamp": "2024-01-01T00:00:00Z", "repoName": "string", "xlink": { "id": 
[...]
